<div ng-include = "'html/navbarAdmins.html'"></div>
<div class = "container" style = "margin-top:100px">
       
       <h1>Menadžeri</h1>
       <table class="table table-hover">
        <tr>
            <td>
                <input type="text"  placeholder="*Ime" class="form-control" ng-model = "managerInput.usrName" required/>
            </td>
            
            <td>
                <input type="text"  placeholder="*Prezime" class="form-control" ng-model = "managerInput.usrSurname" required/>
            </td>
            
            <td>
                <input type="text"  placeholder="*Email" class="form-control" ng-model = "managerInput.usrEmail" required/>
            </td>
            
            <td>
                <input type="text"  placeholder="*Sifra" class="form-control"  ng-model = "managerInput.usrPass"required/>
            </td>
            
            <td>
                <input type="text"  placeholder="Mesto" class="form-control" ng-model = "managerInput.usrTown" />
            </td>
            <td>
                <input type="text"  placeholder="Adresa" class="form-control" ng-model = "managerInput.usrAddress"/>
            </td>

            <td>
                <select data-toggle="tooltip" title = "Restoran" class = "form-control" ng-options = "r.rsId for r in restaurants"  ng-model = "managerInput.restaurant"> </select>
                
            </td>
            
            <td ng-if = "state !== 'update'">
                <input type="button" value="Dodaj" class="btn btn-primary"  ng-click = "addManager();">
            </td>
            <td>
                <input type="button" value="Izmeni" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "updateManager();">
            </td>
             <td>
                <input type="button" value="Poništi" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "cancelUpdate();">
            </td>
        </tr>
        <tr></tr>
        <tr></tr>
        <tr>
            <th>Ime</th>
            <th>Prezime</th>
            <th>Email</th>
            <th>Mesto</th> 
            <th>Adresa</th>
            <th>Restoran</th>
            <th></th>
            <th></th>
        </tr>

        <tbody>
        <tr ng-repeat="manager in managers">
            <td>
                <span>
                  {{ manager.usrName }}
                </span>
            </td>
            <td>
                <span>
                    {{manager.usrSurname}}
                </span>
            </td>
             <td>
                <span >
                     {{manager.usrEmail}}
                </span>
            </td>
            <td>
                <span >
                     {{manager.usrTown}}
                </span>
            </td>
            <td>
                <span>
                     {{manager.usrAddress}}
                </span>
            </td>
            <td>
                <span>
                    {{manager.restaurant.rsId}}
                </span>
            </td>
            
            <td><input type="button" value="Izmeni" class="btn btn-warning" ng-click = "prepareManagerUpdate($index);"></td>
            <td><input type="button" value="Obrisi" class="btn btn-danger" ng-click = "deleteManager($index);"></td>
        </tr>
        </tbody>
    </table>

</div>